#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# Lit et affiche les données fournies par le capteur BME680

#importer les bibliothèques utilisées par le script
import bme680
import time

# Créer une instance du capteur
try:
    capteur = bme680.BME680(bme680.I2C_ADDR_PRIMARY)
except IOError:
    capteur = bme680.BME680(bme680.I2C_ADDR_SECONDARY)

print("Chauffage du capteur VOC.")
print ("Quittez le programme avec Ctrl+C")

# Activer le capteur VOC
capteur.set_gas_status(bme680.ENABLE_GAS_MEAS)

# Configuration des paramètres du capteur
# Paramètres recommandés
capteur.set_gas_heater_temperature(320)
capteur.set_gas_heater_duration(150)
capteur.select_gas_heater_profile(0)

#Crée le capteur en testant les deux adresses possibles 0x76 et 0x77

print('Démarrage du programme:')
try:
    # Boucle infinie du script
    while True:
        # Si les données du capteur sont lues
        if capteur.get_sensor_data():
            # Attendre que la température soit stable
            if capteur.data.heat_stable:
                print(f'Résistance : {capteur.data.gas_resistance:.0f} ohms')
            else:
                print("--- ohms")
                print("")
        time.sleep(1)

# Sortir du script sur CTRL+C
except KeyboardInterrupt:
    pass
